let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/81imsyl54g3vyj4xlnd9kdikk4v9ggan-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/yz2s1q8119jfqfjbh2pq09dx0nbm7cgk-coreutils-8.32/bin";
  bzip2 = "/nix/store/njh0b1yaf7vm4q97m6my0gqrwhi0vcf6-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/r5r180qj851k1ilqz5h0mys2is075iw5-gzip-1.10/bin/gzip";
  xz = "/nix/store/ycagvf85bb4fg1zjz6006g19sdy58hh0-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/3ppk6qijfzsczb01g0bqi5xzpf0hxw35-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/yz2s1q8119jfqfjbh2pq09dx0nbm7cgk-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/hc4wzxxiq0vjfzjj5llmqj2ysb3sz6is-nix-2.3.14/bin";
  nixPrefix = "/nix/store/hc4wzxxiq0vjfzjj5llmqj2ysb3sz6is-nix-2.3.14";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/hc4wzxxiq0vjfzjj5llmqj2ysb3sz6is-nix-2.3.14/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
